Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.formula
Class fDbField

    java.lang.Object
      jet.formula.fDbField

    public class fDbField

extends java.lang.Object

Constructor Summary
`fDbField(java.lang.String fieldname, int type)`
`fDbField(java.lang.String fieldname, java.lang.String qualifyName, int type, jet.formula.JavaFormula jf)`

Method Summary
`java.lang.Object` | `clone()`
`void` | `deny()`
`java.lang.String` | `fieldName()`
`DbValue` | `getDBField(Record rec)`
`DbValue` | `getDBField(Record rec, jet.formula.JavaFormula jf)`
`void` | `setArrayValue(DbValue theval)`
`void` | `setDenyList(java.util.HashSet<java.lang.String> denyList)`
`void` | `updateColumnIndex(Record rec)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### fDbField

    public fDbField(java.lang.String fieldname,
                    int type)

### fDbField

    public fDbField(java.lang.String fieldname,
                    java.lang.String qualifyName,
                    int type,
                    jet.formula.JavaFormula jf)

Method Detail

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### getDBField

    public DbValue getDBField(Record rec)

### getDBField

    public DbValue getDBField(Record rec,
                              jet.formula.JavaFormula jf)

### updateColumnIndex

    public void updateColumnIndex(Record rec)

### setArrayValue

    public void setArrayValue(DbValue theval)

### deny

    public void deny()

### fieldName

    public java.lang.String fieldName()

### setDenyList

    public void setDenyList(java.util.HashSet<java.lang.String> denyList)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD